Skip to main content
POST
Simulate Wire V2
See Errors for the common errors every v2 endpoint can return.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Idempotency key

Maximum string length: 255

Body

application/json

Simulates an incoming wire. The wire is created in posted. debtor_agent must match corridor_type: a domestic wire takes a 9-digit local_routing_identifier and no business_identifier_code; an international wire takes a non-US business_identifier_code.

scenario
enum<string>
required

Creates an incoming wire in posted.

Available options:
incoming_payment
Example:

"incoming_payment"

corridor_type
enum<string>
required

Whether to simulate a domestic or an international wire.

Available options:
domestic,
international
Example:

"domestic"

amount
integer<int64>
required

Wire amount in USD cents.

Required range: 1 <= x <= 990000000000
Example:

5000

creditor_account_number_id
string
required

The ID of the account number that will receive the simulated wire.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

debtor
object
required

The party sending the wire.

debtor_agent
object
required

The debtor's financial institution.

instructing_agent
object

The financial institution that transmitted the payment to Lead. Defaults to the debtor agent for a domestic wire and to Deutsche Bank Trust Company Americas (routing number 021001033) for an international wire.

remittance_details
object

Details of the remittance information for the wire.

payment_identifiers
object

Payment identifiers for the wire.

Response

The simulation was accepted. The response body is empty.

The response is of type object.